#
# spec file for package exa


Name:           exa
Version:        0.9.0
Release:        %mkrel 1
Summary:        Replacement for ls written in Rust
License:        MIT
Group:          File tools
Url:            https://the.exa.website/
Source0:        https://github.com/ogham/exa/archive/v%{version}.tar.xz
Source1:        vendor.tar.xz
BuildRequires:  cmake
BuildRequires:  git
BuildRequires:  pkgconfig
BuildRequires:  rust
BuildRequires:  pkgconfig(zlib)

%description
exa is a replacement for ls written in Rust.
With similar but not identical options.

%prep
%setup -q
%setup -q -D -T -a 1
mkdir .cargo
cat >.cargo/config <<EOF
[source.crates-io]
registry = 'https://github.com/rust-lang/crates.io-index'
replace-with = 'vendored-sources'
[source.vendored-sources]
directory = './vendor'
EOF

%build
cargo build --release %{?_smp_mflags}

%install
mkdir build
cargo install --path . --root=build
mkdir -p %{buildroot}%{_bindir}
install -Dm0755 build/bin/exa %{buildroot}%{_bindir}/exa

%files
%{_bindir}/exa

%changelog
* Wed Feb 24 2021 tex - 0.9.0-1pclos2021
- create pkg
